#128 Add-in loading failed

6
open
nobody
None
5
2007-11-19
2007-11-19
mado
No

After successful installation of all components of RemoteCalendars v6.3 the RemoteCalendars toolbar doesn't show up in Outlook 2003.
When checking the Add-ins in Tools/Options/Other/Advanced Options/Com Add-ins the RemoteCalendars Add-in is present, but unselected. When selecting the Add-in, it says "Not Loaded. A runtime error occurred during the loading of the COM Add-in."

I googled for the error and found this hint how to get more information on the error http://forums.microsoft.com/MSDN/ShowPost.aspx?PostID=818608&SiteID=1
It's described there to set VSTO_SUPPRESSDISPLAYALERTS=0 in your environment to get more information.

Having this done after re-strating Outlook and reselecting the Add-in there's a pop-up telling

Unable to cast object of type 'System.__ComObject' to type 'Microsoft.Office.Interop.Outlook.ApplicationClass'.
************** Exception Text **************
System.InvalidCastException: Unable to cast object of type 'System.__ComObject' to type 'Microsoft.Office.Interop.Outlook.ApplicationClass'.
at RemoteCalendars.Core.RemoteCalendarsController..ctor()
...

This MS forum entry http://forums.microsoft.com/MSDN/ShowPost.aspx?PostID=1251545&SiteID=1
tells that there might be a new class instantion where there shouldn't, and indeed I found
_outlook = new Microsoft.Office.Interop.Outlook.ApplicationClass();

in RemoteCalendarsController.cs, line 118.

Could this be a problem?

Discussion

  • mado

    mado - 2007-11-19

    Exception text

     
  • Ben Turner

    Ben Turner - 2007-11-22

    Logged In: YES
    user_id=1036949
    Originator: NO

    I also have this problem with version 6.3 of Remote Cal and Outlook 2003 SP2 - any ideas ?

     
  • Ben Turner

    Ben Turner - 2007-11-22

    Logged In: YES
    user_id=1036949
    Originator: NO

    Apologies - had not run all pre-requisites before running Outlook. Problem solved for me. Perhaps bug reporter can confirm he has done the same ?

     
  • mado

    mado - 2007-11-28

    Logged In: YES
    user_id=1940595
    Originator: YES

    @bdturner: I had all pre-requisites installed before. A can see these in the list of installed programs:
    - Microsoft .NET Framework 2.0
    - Microsoft Office 2003 Primary Interop Assemblies
    - Visual Studio 2005 Tools for Office Second Edition Runtime

     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks